Bug 459806 - network connection not detected
network connection not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 11:11 EDT by Steven Legowik
Modified: 2008-10-27 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 09:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Legowik 2008-08-22 11:11:45 EDT
Description of problem:

When I select a package (for example 'KDE desktop') in the package manager it pops up an error window saying 'The group list was invalid' and suggesting that I refresh my cache.  In 'More details' it says 'comps categories could not be loaded'

If I close that and go to the 'System->Refresh package lists' menu I get an error window saying 'No network connection available', details 'Cannot refresh cache whilst offline'.  It also pops up a 'Refresh package lists' window that says 'Waiting for other tasks'

My network connection is alive and well since I am submitting this error report from the same machine, and yum seems to have no trouble accessing the repositories and installing software.  I uninstalled the gnome-packagekit rpm and reinstalled it using yum, but that didn't fix the problem.


Version-Release number of selected component (if applicable):
	gpk-application 0.2.3

How reproducible:
It happens every time I start up the software installer.

Steps to Reproduce:
1. run 'gpk-application' from shell or Administration application menu
2. select 'System->Refresh package list' menu item
  
Actual results:
  (as described above)

Expected results:
	Expect a list of packages appear when I select a category from the list.

Additional info:
Comment 1 Richard Hughes 2008-08-27 06:23:23 EDT
Do you have the NetworkManager service running? Do you use it? What's the output from /proc/net/route when you have a valid connection?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.